Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3067 - Netscape tries to run xv on local xpms
Summary: Netscape tries to run xv on local xpms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-26 15:31 UTC by Adam Spiers
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-21 13:03:01 UTC


Attachments (Terms of Use)

Description Adam Spiers 1999-05-26 15:31:50 UTC
If you are browsing a local directory index (file: rather
than http:) and click on an .xpm, it tries to run xv to
display that .xpm (why?) but xv isn't included with RH6
any more (why?)

Comment 1 Jay Turner 1999-05-27 15:17:59 UTC
My guess would be that you have xv setup to handle .xpm files in your
Netscape preferences.

------- Email Received From  Adam Spiers <adam@thelonious.new.ox.ac.uk> 05/30/99 13:05 -------

Comment 2 Adam Spiers 1999-05-30 17:29:59 UTC
Oops, looks like replying via e-mail didn't reopen the bug.
Hopefully this will.  For convenience, here's what I said in the
e-mail:

A reasonable guess, but I'd already checked that, and it's definitely
not the reason.  Netscape has MIME type image/x-xpixmap (suffix xpm)
down as `Unknown: PromptUser'.

xv isn't mentioned in /etc/mailcap or /usr/lib/netscape either,
so I've no idea where it's coming from.

Comment 3 Bill Nottingham 1999-06-14 17:15:59 UTC
what's your ~/.mailcap look like, if there is one?

------- Email Received From  Adam Spiers <adam@thelonious.new.ox.ac.uk> 06/17/99 15:29 -------

Comment 4 Bill Nottingham 1999-06-17 21:58:59 UTC
This seems to be hardcoded in the netscape binary for an
image type it doesn't have a handler for. What you can do
is either
a) define a handler of your choice
b) do something like:
cd /usr/lib/netscape
sed -e "s|xv %s|ee %s|g" netscape-navigator > netstcape.new
mv -f netscape.new netscape-navigator
(of course, be careful with this...)

Comment 5 Adam Spiers 1999-06-19 17:49:59 UTC
Ah right. Thanks, you can resolve this now :-)

Comment 6 Jeff Johnson 1999-06-21 13:03:59 UTC
This appears to be resolved. Please reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.